Classes
Resource classes and data classes.
5 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors
List the data classes
GET
Badge
/api/v1/account/organizations/{id}/data_classes
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Response 200 OK application/json
-
classesarray[string]
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/data_classes' \
-H 'Authorization: Bearer <badge>'Response 200
{
"classes": [
"string"
]
}Create a data class
POST
Badge
/api/v1/account/organizations/{id}/data_classes
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
classstring -
created_atstring<date-time> -
idstring<uuid> -
updated_atstring<date-time>
Response 200 OK application/json
-
classstring -
created_atstring<date-time> -
idstring<uuid> -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/data_classes' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"class": "string",
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}'Response 200
{
"class": "string",
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}Search the data classes
GET
Badge
/api/v1/account/organizations/{id}/data_classes/search
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Query parameters
-
namestring requiredData class name to search for.
Response 200 OK application/json
-
classesarray[string]
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/data_classes/search' \
-H 'Authorization: Bearer <badge>'Response 200
{
"classes": [
"string"
]
}Delete a data class
DELETE
Badge
/api/v1/account/organizations/{id}/data_classes/{name}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
namestring required
Response 200 OK application/json
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/account/organizations/{id}/data_classes/{name}' \
-H 'Authorization: Bearer <badge>'Response 200
{}List the resource classes
GET
Badge
/api/v1/resource_classes
Response 200 OK application/json
-
classesmap[array[string]]
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/resource_classes' \
-H 'Authorization: Bearer <badge>'Response 200
{
"classes": {
"key": [
"string"
]
}
}